GCCARM = c:/xport/gcc-arm #usually defined in environment variable
INCDIR = $(GCCARM)/include 
LIBDIR = $(GCCARM)
TARGET = redgreen

CFLAGS = -I $(INCDIR) -c -g -O2 -mthumb-interwork -Wall -save-temps -fverbose-asm -nostdlib
LDFLAGS = -nostartfiles ../../lib/gbalib.a -T../../include/gba.ld -L$(LIBDIR) 

all : $(TARGET).bin upload

$(TARGET).bin : $(TARGET).elf  
	objcopy -v -O binary $(TARGET).elf $(TARGET).bin

$(TARGET).elf : main.o
	gcc -g ../../lib/crt0.o main.o -o $(TARGET).elf $(LDFLAGS)

main.o : main.cxx
	gcc $(CFLAGS) main.cxx

upload:
	xppro logic/$(TARGET)10.bit $(TARGET).bin

